# VirtualSite Class Reference

A VirtualSite describes the rules for computing a particle's position based on other particles. More...

`#include <VirtualSite.h>`

Inheritance diagram for VirtualSite:

List of all members.

## Public Member Functions
virtual | ~VirtualSite ()
int | getNumParticles () const
| Get the number of particles this virtual site depends on.
int | getParticle (int particle) const
| Get the index of a particle this virtual site depends on.
## Protected Member Functions
| VirtualSite ()
void | setParticles (const std::vector< int > &particleIndices)

## Detailed Description

A VirtualSite describes the rules for computing a particle's position based on other particles.

This is an abstract class. Subclasses define particular rules. To define a virtual site, create an instance of a VirtualSite subclass and then call setVirtualSite() on the System.

## Constructor & Destructor Documentation

virtual ~VirtualSite | ( |  | ) | `[inline, virtual]`

VirtualSite | ( |  | ) | `[inline, protected]`

## Member Function Documentation

int getNumParticles | ( |  | ) | const

Get the number of particles this virtual site depends on.

int getParticle | ( | int | particle | ) | const

Get the index of a particle this virtual site depends on.

Parameters:

  | particle | the particle to get (between 0 and getNumParticles())

Returns:
  the index of the particle in the System

void setParticles | ( | const std::vector< int > & | particleIndices | ) | `[protected]`

The documentation for this class was generated from the following file:

- VirtualSite.h